Pour utiliser la version 2.3 d'OpenLDAP par defaut dans les ports FreeBSD, ajoutez la ligne

WANT_OPENLDAP_VER=23

dans /etc/make.conf

Cela vous évitera entre autres de vous faire jeter par le port nss_ldap qui après avoir lu le bsd.port.mk considère par defaut qu'il faut utiliser OpenLDAP 2.2, comme le precise cette affectation conditionnelle :

WANT_OPENLDAP_VER?=   22
freebsd/openldap_version.txt · Last modified: 2010/01/12 13:29 (external edit)